Subject: Re: bug#11823: tail: unrecognized file system type 0x61756673 for‘/var/log/messages’. please report this to [email-masked]. reverting to polling

From: Jim Meyering <[email-masked]>
Date: Sat, 30 Jun 2012 19:08:26 +0200

Jim Meyering wrote:

> Michael Mol wrote:
>> "tail: unrecognized file system type 0x61756673 for
>> ‘/var/log/messages’. please report this to [email-masked].
>> reverting to polling"
>>
>> At the time, mount indicated the filesystem in question was aufs.
>>
>> The manpage for aufs shows a description of it: "aufs - advanced multi
>> layered unification filesystem. version 3.3-20120326"
>>
>> This was on the Gentoo 12.1 liveDVD.
>
> Thank you!
> Here's the patch I expect to push soon:
>
> Subject: [PATCH] stat,tail: recognize new file system type: aufs
>
> * src/stat.c (human_fstype) [__linux__]: Add a 'case' for the new
> remote file system type: aufs (0x61756673).
> * NEWS (New features): Mention stat -f.
> (Bug fixes): Mention it for tail -f.
> Reported by Michael Mol in http://bugs.gnu.org/11823

I've pushed that, so it will be part of the upcoming coreutils-8.18.

I've also pushed this, to fix a syntax-check FP introduced
by the preceding doc-"improving" change:

>From fdfac0d15920a1930f1e46c00683381ae1f77638 Mon Sep 17 00:00:00 2001
From: Jim Meyering <[email-masked]>
Date: Sat, 30 Jun 2012 18:29:38 +0200
Subject: [PATCH] maint: avoid false-positive syntax-check failure due to
 fail=0 in .texi

* cfg.mk (exclude_file_name_regexp--sc_prohibit_fail_0): Exempt
all .texi files.
---
 cfg.mk | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/cfg.mk b/cfg.mk
index de05c4b..36458a4 100644
--- a/cfg.mk
+++ b/cfg.mk
@@ -463,7 +463,7 @@ exclude_file_name_regexp--sc_file_system = \
 exclude_file_name_regexp--sc_prohibit_always_true_header_tests = \
   ^m4/stat-prog\.m4$$
 exclude_file_name_regexp--sc_prohibit_fail_0 = \
-  (^scripts/git-hooks/commit-msg|^tests/init\.sh|Makefile\.am|\.mk)$$
+  (^.*/git-hooks/commit-msg|^tests/init\.sh|Makefile\.am|\.mk|.*\.texi)$$
 exclude_file_name_regexp--sc_prohibit_atoi_atof = ^lib/euidaccess-stat\.c$$

 tbi_1 = ^tests/pr/|(^gl/lib/reg.*\.c\.diff|Makefile(\.am)?|\.mk|^man/help2man)$$
--
1.7.11.1.104.ge7b44f1